corda / net.corda.node.driver / DriverDSLExposedInterface / startNode

# startNode

`abstract fun startNode(providedName: String? = null, advertisedServices: Set<ServiceInfo> = emptySet(), rpcUsers: List<User> = emptyList(), customOverrides: Map<String, Any?> = emptyMap()): ListenableFuture<NodeHandle>`

Starts a Node in a separate process.

### Parameters

`providedName` - Optional name of the node, which will be its legal name in Party. Defaults to something random. Note that this must be unique as the driver uses it as a primary key!

`advertisedServices` - The set of services to be advertised by the node. Defaults to empty set.

`rpcUsers` - List of users who are authorised to use the RPC system. Defaults to empty list.

Return
The NodeInfo of the started up node retrieved from the network map service.